Skip to content

Retrieve the application health check configuration

Request

Retrieves a health check configuration for an application

Path
applicationIdstring, (uuid)required

Identifier of the application

GET
/api/v2/apps/{applicationId}/health-check
curl -i -X GET \
  'https://oag.domain.tld/api/v2/apps/{applicationId}/health-check'

Responses

Success

Bodyapplication/json
enabledboolean

Whether health checks are allowed for protected resource URLs in load balanced applications. Health checks are allowed if enabled is true.

Default:false
healthyThresholdinteger, [ 1 .. 10 ]

Number of successful responses that must be returned before a host is considered healthy

Default:3
intervalinteger, [ 2 .. 300 ]

Interval between health check requests (in seconds)

Default:10
methodstring

HTTP request method for health checks. GET is the only supported method.

Default:"GET"
Value:"GET"
pathstring

The URI path to the resource that's used in health checks

Default:"/"
statusCodeinteger

HTTP response status code that web resources return as part of a successful health check

Default:200
timeoutinteger, [ 1 .. 60 ]

The amount of time, in seconds, that a health check HTTP request can take before it's considered a failure

Default:1
unhealthyThresholdinteger, [ 1 .. 10 ]

Number of unsuccessful responses that must be returned before a host is considered unhealthy

Default:3
Response
{ "enabled": false, "path": "/", "method": "GET", "statusCode": 200, "interval": 10, "timeout": 1, "healthyThreshold": 3, "unhealthyThreshold": 3 }